{% block title %}Fanfictions - Trump Universe{% endblock %}
{% extends 'base.html.twig' %}

{% block body %}
<h1>Fanfictions</h1>
<a href="{{ path('submit_fanfiction') }}" class="fanfiction-submit-btn"><button>Soumettre une fanfiction</button></a>

<div class="fanfictions">
{% for fanfiction in pagination %}
    <div class="fanfiction">
        <h2>{{ fanfiction.title }} <span class="fanfiction-author">- {{fanfiction.author.username}}</span></h2>
        <div class="fanfiction-date">{{ fanfiction.createdAt|date()|trans }}</div>
        {% autoescape %}
        <div class="fanfiction-content">{{ fanfiction.content|striptags|truncate(200) }}<a href="{{ path('single_fanfiction', {'id': fanfiction.id}) }}" class="fanfiction-more">Lire la suite</a></div>
        {% endautoescape %}
    </div>
{% endfor %}

</div>
    <div class="navigation">
        {{ knp_pagination_render(pagination) }}
    </div>
{% endblock %}